# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewMeshArray, DXNewMeshArrayV

Function

Create an Array that is the product of a set of regular or irregular connection Arrays.

Syntax
`
#include <dx/dx.h>
`

MeshArray DXNewMeshArray(int n, ...)
MeshArray DXNewMeshArrayV(int n, Array *terms)

Functional Details

The terms of the product are given by the Array pointer `terms` (for `DXNewMeshArrayV`) or by the last `n` arguments (for `DXNewMeshArray`).

Mesh Arrays are generally used to specify regular or partially regular "connections" components in compact form as combinations of lower-degree Arrays. For example, a fully regular cubic "connections" component can be created by combining three Path Arrays in a Mesh Array. A fully regular "connections" component is more easily created with `DXMakeGridConnections`.

The Array created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Return the Mesh Array or returns `NULL` and sets an error code.

See Also

`DXGetMeshArrayInfo, DXGetMeshOffsets, DXMakeGridConnections, DXMakeGridConnectionsV, DXSetMeshOffsets`

"Mesh Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]